%define medium_path %(%_bindir/openhbci2-config --plugins)/media

%define is_mandrake %(test -e /etc/mandrake-release && echo 1 || echo 0)
%define is_suse %(test -e /etc/SuSE-release && echo 1 || echo 0)
%define is_fedora %(test -e /etc/fedora-release && echo 1 || echo 0)

%define dist redhat
%define disttag rh

%if %is_mandrake
%define dist mandrake
%define disttag mdk
%endif
%if %is_suse
%define dist suse
%define disttag suse
%endif
%if %is_fedora
%define dist fedora
%define disttag rhfc
%endif

%define distver %(release="`rpm -q --queryformat='%{VERSION}' %{dist}-release 2>/dev/null`" ; if test $? != 0 ; then release="" ; fi ; echo "$release")

Summary: A plugin for OpenHBCI2 for using a DDV chip card
Name: openhbci2-plugin-ddvcard2
Version: 2.1
Release: 1.%{disttag}%{distver}
BuildRequires: openhbci2-devel >= 1.9.2 libchipcard-devel >= 0.9.0.5
Requires: openhbci2 >= 1.9.2
License: LGPL
Group: System Environment/Libraries
Source: http://download.sourceforge.net/openhbci/%{name}-%{version}.tar.gz
Packager: Martin Preuss <martin@libchipcard.de>
URL: http://www.openhbci.de
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This is a plugin for OpenHBCI2 which adds support for HBCI chipcards.
You need Libchipcard (version 0.9 or better) for this to work.

%prep
%setup -q

%build
%configure --disable-static
make

%install
if test "$RPM_BUILD_ROOT" != "/"; then
    rm -Rf $RPM_BUILD_ROOT
fi

make DESTDIR=$RPM_BUILD_ROOT install

%clean
if test "$RPM_BUILD_ROOT" != "/"; then
    rm -Rf $RPM_BUILD_ROOT
fi

%post
ldconfig %{medium_path}

%postun
ldconfig %{medium_path}

%files
%defattr(-,root,root,0755)
%doc AUTHORS README COPYING TODO ChangeLog
%{medium_path}/ddvcard2.so*
%{medium_path}/ddvcard2.la

%changelog
